> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everhour.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Timesheets

> List timesheet weeks for a single user. The week id is the Monday date of the week (see [Dates](/dates-and-timezones)).



## OpenAPI

````yaml /openapi.json get /users/{user_id}/timesheets
openapi: 3.1.1
info:
  title: Everhour API
  version: 1.0.0
  license:
    name: Proprietary
    identifier: LicenseRef-Proprietary
servers:
  - url: https://api.everhour.com
security:
  - ApiKeyAuth: []
tags:
  - name: Clients
  - name: Custom Fields
  - name: Expenses
  - name: Invoices
  - name: Projects
  - name: Reports
  - name: Schedule
  - name: Tasks
  - name: Time Off
  - name: Time Records
  - name: Timecards
  - name: Timers
  - name: Timesheets
  - name: Users
  - name: Webhooks
paths:
  /users/{user_id}/timesheets:
    get:
      tags:
        - Timesheets
      summary: Get User Timesheets
      description: >-
        List timesheet weeks for a single user. The week id is the Monday date
        of the week (see [Dates](/dates-and-timezones)).
      operationId: getUserTimesheets
      parameters:
        - name: user_id
          in: path
          required: true
          description: User ID
          schema:
            type: number
        - name: limit
          in: query
          required: false
          description: max number of weeks
          schema:
            type: integer
            example: 10
        - name: weekId
          in: query
          required: false
          description: Filter to a single week (YYWW).
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Timesheet'
        '401':
          description: Unauthorized
components:
  schemas:
    Timesheet:
      type: object
      properties:
        id:
          type: number
          description: Timesheet ID
          example: 148562535
        week:
          $ref: '#/components/schemas/Week'
        user:
          type: number
          description: User ID
          example: 14856
        tasks:
          type: array
          description: List of tasks added in the timesheet
          items:
            $ref: '#/components/schemas/Task'
        dailyTime:
          type: array
          description: Daily time
          items:
            $ref: '#/components/schemas/DailyTime'
        taskTime:
          type: array
          description: List of task time records
          items:
            $ref: '#/components/schemas/TaskTime'
        approval:
          $ref: '#/components/schemas/TimesheetApproval'
        timecards:
          type: array
          items:
            $ref: '#/components/schemas/Timecard'
        timeOffAssignments:
          type: array
          items:
            $ref: '#/components/schemas/TimeOff'
    Week:
      type: object
      properties:
        id:
          type: number
          example: 2535
        from:
          type: string
          example: '2025-08-25'
        to:
          type: string
          example: '2025-08-31'
        beginningOfWeek:
          type: number
          description: 0 if Sunday, 1 if Monday
          example: 1
    Task:
      type: object
      properties:
        id:
          type: string
          example: ev:9876543210
        name:
          type: string
          example: Task Name
        projects:
          type: array
          description: List of projects ID
          items:
            type: string
          example:
            - ev:1234567890
        section:
          type:
            - number
            - 'null'
          description: Section ID
          example: 1234
        labels:
          type: array
          items:
            type: string
          example:
            - high
            - bug
        position:
          type: number
          example: 1
        description:
          type:
            - string
            - 'null'
        dueAt:
          type:
            - string
            - 'null'
          description: 'Format: Y-m-d H:i:s'
          example: '2018-03-05 16:00:00'
        status:
          type: string
          enum:
            - open
            - closed
          example: open
        time:
          $ref: '#/components/schemas/TaskTime'
        estimate:
          $ref: '#/components/schemas/TaskEstimate'
        attributes:
          type: object
          description: Custom attributes from integration
          additionalProperties:
            type: string
          example:
            Client: Everhour
            Priority: high
        metrics:
          type: object
          description: Custom metrics from integration
          additionalProperties:
            type: number
          example:
            efforts: 42
            expenses: 199
        unbillable:
          type: boolean
      required:
        - id
        - name
        - projects
    DailyTime:
      type: object
      properties:
        date:
          type: string
          example: 25-08-2025
        time:
          type: number
          description: Total daily time in seconds
          example: 18000
        timeWithoutTask:
          type: number
          description: Time tracked without task
          example: 7200
        user:
          type: number
          description: User ID
          example: 14856
    TaskTime:
      type: object
      properties:
        total:
          type: number
          description: Total task time in seconds
          example: 7200
        users:
          type: object
          description: Task time per user ID
          additionalProperties:
            type: number
          example:
            '1304': 3600
            '1543': 3600
      required:
        - total
        - users
    TimesheetApproval:
      type: object
      properties:
        id:
          type: number
          description: Timesheet ID
          example: 148562535
        user:
          type: number
          description: User ID
          example: 14856
        weekId:
          type: number
          example: 2535
        reviewer:
          type: number
          description: Reviewer User ID
          example: 14854
        history:
          type: array
          items:
            $ref: '#/components/schemas/TimesheetApprovalHistory'
        status:
          type: string
          enum:
            - pending
            - rejected
            - approved
            - partial_approved
            - discarded
        totalTime:
          type: integer
          description: Total approved time in seconds.
          nullable: true
    Timecard:
      type: object
      properties:
        user:
          type: number
          description: User ID
          example: 69
        clockIn:
          type: string
          description: Clock-in time in user timezone
          example: '09:00'
        clockOut:
          type: string
          description: Clock-out time in user timezone
          example: '18:00'
        breakTime:
          type: number
          description: Breaks duration in seconds
          example: 3600
        workTime:
          type: number
          description: Working time in seconds
          example: 28800
        history:
          type: array
          items:
            $ref: '#/components/schemas/TimecardHistory'
        date:
          type: string
          description: 'Format: Y-m-d'
        weekId:
          type: integer
          description: Week identifier (YYWW).
        isLocked:
          type: boolean
        invalid:
          type: object
          nullable: true
          description: Validation issues for the timecard, if any.
        lockReasons:
          type: array
          items:
            type: string
      required:
        - user
        - workTime
    TimeOff:
      type: object
      properties:
        days:
          type: number
          description: Number of workdays
          example: 10
        endDate:
          type: string
          example: '2019-02-01'
        id:
          type: number
          example: 41827
        startDate:
          type: string
          example: '2019-01-21'
        type:
          type: string
          example: time-off
        user:
          type: number
          example: 79786
        timeOffPeriod:
          type: string
          enum:
            - full-day
            - half-of-day
            - quarter-of-day
            - half-and-quarter-of-day
          example: full-day
        reviewer:
          type: number
          description: Admin who must receive notification for approval
          example: 79786
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/AttachmentDetails'
    TaskEstimate:
      type: object
      properties:
        total:
          type: number
          description: Total task estimate in seconds
          example: 7200
        type:
          type: string
          enum:
            - overall
            - users
          example: overall
        users:
          type: object
          description: Task estimate per user ID
          additionalProperties:
            type: number
          example:
            '1304': 3600
            '1543': 3600
      required:
        - total
        - type
    TimesheetApprovalHistory:
      type: object
      properties:
        action:
          type: string
          enum:
            - submitted
            - rejected
            - approved
            - discarded
          example: submitted
        days:
          $ref: '#/components/schemas/ApprovalHistoryDays'
        user:
          type: number
          description: User ID
          example: 2535
        comment:
          type: string
          example: some text
        createdAt:
          type: string
          description: Datetime when action was created
          example: '2025-08-05 16:17:14'
    TimecardHistory:
      type: object
      properties:
        action:
          type: string
          description: What data are changed
          enum:
            - clock-in
            - clock-out
            - break
          example: clock-in
        previousTime:
          type: string
          description: Old value for clockIn, clockOut or break
          example: '08:00'
        time:
          type: string
          description: New value for clockIn, clockOut or break
          example: '09:00'
        trigger:
          type: string
          description: Action trigger
          enum:
            - manually
            - timer
            - button
            - day-end
            - idle-state
          example: manually
    AttachmentDetails:
      type: object
      properties:
        id:
          type: number
          example: 514
        name:
          type: string
          example: avatar.jpg
        token:
          type: string
          example: 9a04b8a1fb99cbfadf3386ad6a338c14
    ApprovalHistoryDays:
      type: object
      properties:
        monday:
          type: boolean
          example: true
        tuesday:
          type: boolean
          example: true
        wednesday:
          type: boolean
          example: true
        thursday:
          type: boolean
          example: true
        friday:
          type: boolean
          example: true
        saturday:
          type: boolean
          example: false
        sunday:
          type: boolean
          example: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````